﻿using C1.WPF.C1Chart;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Markup;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Xml;

namespace WpfApplication24
{
    /// <summary>
    /// MainWindow.xaml の相互作用ロジック
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            LoadChart();
        }

        private void LoadChart()
        {           

            // Clear previous data
            c1Chart1.Data.Children.Clear();

            // Create column series
            c1Chart1.Data.Children.Add(new XYDataSeries()
            {
                ChartType = ChartType.Column,
                Label = "Column",
                SymbolFill= Brushes.Pink,
                SymbolStroke=Brushes.Black,
                XValuesSource = new double[] { 1, 2, 3 },
                ValuesSource = new double[] { 1, 2, 3 }
            });

            //Create line series
            c1Chart1.Data.Children.Add(new XYDataSeries()
            {
                ChartType = ChartType.LineSymbols,
                Label = "Line",
                SymbolFill = Brushes.Pink,
                SymbolStroke = Brushes.Black,
                ConnectionFill=Brushes.Violet,
                XValuesSource = new double[] { 1, 2, 3 },
                ValuesSource = new double[] { 1, 2, 3 }
            });

           
        }        

    }
}
